# TakeCommand Class Reference
[Spring-like webflow tools]

Inheritance diagram for TakeCommand:
[legend]

List of all members.

## Public Member Functions

| run (Prototyped $subject, Form $form, HttpRequest $request)

## Protected Member Functions

| daoMethod ()

## Detailed Description

Definition at line 15 of file TakeCommand.class.php.

## Member Function Documentation

TakeCommand::daoMethod | ( |  | ) | `[abstract, protected]`

Reimplemented in AddCommand, ImportCommand, and SaveCommand.

Referenced by run().

TakeCommand::run | ( | Prototyped $ | subject,
|  | Form $ | form,
|  | HttpRequest $ | request |
| ) |  |  |

Returns:
  ModelAndView

Implements EditorCommand.

Reimplemented in MakeCommand, and SaveCommand.

Definition at line 22 of file TakeCommand.class.php.

References daoMethod().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Flow/TakeCommand.class.php